defmodule IElixir.SandboxStateKeeper do
  use GenServer

  def start_link(opts) do
    GenServer.start_link(__MODULE__, opts, name: SandboxStateKeeper)
  end

  def init(_opts) do
    {:ok, {}}
  end

  def set_state(new_state) do
    :ok = GenServer.cast(SandboxStateKeeper, {:set_state, new_state})
  end

  def get_state() do
    GenServer.call(SandboxStateKeeper, :get_state)
  end

  def handle_call({:set_state, new_state}, _from, _state) do
    {:reply, :ok, new_state}
  end

  def handle_call(:get_state, _from, state) do
    {:reply, state, state}
  end
end
